<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd" >
<!--
Copyright 2008 Daniel Monedero Tórtola
This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version. This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details. You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
-->
<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
	<link rel="stylesheet" href="style.css" type="text/css" media="screen" />
	<link rel="Shortcut Icon" type="image/png" href="imagenes/icono.png" />
    <meta http-equiv="content-type" content="text/html; charset=utf-8"/>
    <meta name="description" content="Traveller, una guia turística interactiva y multimedia" />
	<meta http-equiv="Content-Language" content="es" />
	<meta name="author" content="Daniel Monedero T&oacute;rtola, faltantornillos@gmail.com" />
	<meta name="keywords" content="fsmm, web, xml, multimedia, ajax, web 2.0, trabajo" />
    <title>Traveller: Inicio</title>
  </head>
  <body onload="load()" onunload="GUnload()">
  	<?php require 'config.php'; ?>
    <script src="http://maps.google.com/maps?file=api&amp;v=2&amp;key=<?=$keyGM?>"
      type="text/javascript"></script>
    <script type="text/javascript">
    //<![CDATA[

    map=null;
    directions=null;
    poly=null;
    batch=[];

    marcadoresM=1;
    marcadoresI=1;
    marcadoresN=1;
    marcadoresT=1;
    ruta=0;
    ruta1=0;
    ruta2=0;

<?php
	require 'lugares.php';

	require 'videos.php';

	require 'imagenes.php';
?>

    function addDirections( from, to ) {
    	ruta=1;
    	ruta1=0;
    	ruta2=0;
    	directions.load("from: " + puntos[from][5]+"@"+puntos[from][0]+","+puntos[from][1] + " to: " +  puntos[to][5]+"@"+puntos[to][0]+","+puntos[to][1], {getPolyline:true});
    }

	function ocultarPI() {
		for( var i = 0;  i < batch.length;  ++i )
			batch[i].hide();
	}

	function mostrarPI() {
		for( var i = 0;  i < batch.length;  ++i )
			batch[i].show();
	}

	function ocultarPtipo(tipo) {
		for( var i = 0;  i < batch.length;  ++i )
			if(puntos[i][2]==tipo)
				batch[i].hide();
	}

	function mostrarPtipo(tipo) {
		for( var i = 0;  i < batch.length;  ++i )
			if(puntos[i][2]==tipo)
				batch[i].show();
	}

    function cambiarM() {
		if(marcadoresT==1) {
			marcadoresT=0;
			ocultarPI();
		} else {
			marcadoresT=1;
			mostrarPI();
		}
	}

	function cambiarMM() {
		if(marcadoresM==1) {
			marcadoresM=0;
			ocultarPtipo('M');
		} else {
			marcadoresM=1;
			mostrarPtipo('M');
		}
	}

	function cambiarMI() {
		if(marcadoresI==1) {
			marcadoresI=0;
			ocultarPtipo('I');
		} else {
			marcadoresI=1;
			mostrarPtipo('I');
		}
	}

	function cambiarMN() {
		if(marcadoresN==1) {
			marcadoresN=0;
			ocultarPtipo('N');
		} else {
			marcadoresN=1;
			mostrarPtipo('N');
		}
	}

	function mostrarRuta1() {
		cadena="from: " + puntos[0][5]+"@"+puntos[0][0]+","+puntos[0][1] ;
		for( var i = 1;  i < batch.length;  ++i )
			cadena=cadena+" to: " +  puntos[i][5]+"@"+puntos[i][0]+","+puntos[i][1];
		directions.load(cadena, {getPolyline:true});
	}

	function mostrarRuta2() {
		cadena="from: " + puntos[(batch.length-1)][5]+"@"+puntos[(batch.length-1)][0]+","+puntos[(batch.length-1)][1] ;
		for( var i = batch.length-2;  i >=0;  --i )
			cadena=cadena+" to: " +  puntos[i][5]+"@"+puntos[i][0]+","+puntos[i][1];
		directions.load(cadena, {getPolyline:true});
	}

	function cambiarR1() {
   		directions.clear();
   		ruta=0;
		ruta2=0;
		if(ruta1==1) {
			ruta1=0;
		} else {
			ruta1=1;
		}
		mostrarRuta1();
	}

	function cambiarR2() {
		directions.clear();
   		ruta=0;
		ruta1=0;
		if(ruta2==1) {
			ruta2=0;
		} else {
			ruta2=1;
		}
		mostrarRuta2();
	}

	for( var i = 0;  i < puntos.length;  ++i ) {
		puntos[i][4]=puntos[i][4]+'<p class="centrado">';
   		if(i>0) {
   			anterior=i-1;
			puntos[i][4]=puntos[i][4]+'<a href="javascript:addDirections('+i+', '+anterior+');"><img src="imagenes/anterior.png" alt="Anterior" title="Anterior" /></a>';
		}
   		if(i<puntos.length-1) {
   			siguiente=i+1;
   			puntos[i][4]=puntos[i][4]+'<a href="javascript:addDirections('+i+', '+siguiente+');"><img src="imagenes/siguiente.png" alt="Siguiente" title="Siguiente" /></a>';
		}
		puntos[i][4]=puntos[i][4]+'</p>';
	}

    function load() {
     	if (GBrowserIsCompatible()) {
      		// creamos el mapa
      		var map = new GMap2(document.getElementById("mapa"));
        	// añadimos los controles
        	map.addControl(new GLargeMapControl());
			map.addControl(new GMapTypeControl());
			map.addControl(new GOverviewMapControl());
        	// Centrar en el primer punto de interés y nivel de zoom
        	map.setCenter(new GLatLng(puntos[0][0],puntos[0][1]), 12, G_HYBRID_MAP);

        	directions = new GDirections(null, document.getElementById("ruta"));
        	GEvent.addListener(directions,"load",function() {
        		if(poly!=null) {
        			//directions.clear();
        			map.removeOverlay(poly);
				}
        		if(ruta==1 || ruta1==1 || ruta2==1){
        			poly=directions.getPolyline();
   					map.addOverlay(poly);
   				} else {
   					directions.clear();
				}
 			});

        	// iconos para cada punto de interés
   			 function createMarker(numero) {
   			 	lat=puntos[numero][0];
   			 	lng=puntos[numero][1];
   			 	importancia=puntos[numero][2];

				// distinto icono dependiendo de la importancia del punto de interés
				var marker = new GMarker(new GLatLng(lat, lng), new GIcon(G_DEFAULT_ICON, "imagenes/markers/marker"+importancia+(numero+1)+".png"));

				// añadimos el listener
				GEvent.addListener(marker, "click", function(latlng) {
					nombre=puntos[numero][3];
   			 		codigo=puntos[numero][4];

    				var infoTabs =  [
						new GInfoWindowTab("Información", "<p><h1>"+nombre+"</h1>"+codigo+ "</p>"),
						new GInfoWindowTab("Imágenes", imagenes[numero]),
						new GInfoWindowTab("Vídeos", videos[numero])
					];
    				marker.openInfoWindowTabsHtml(infoTabs ,{autoScroll:true});
  				});
  				return marker;
			}

  			mgr = new GMarkerManager(map);

      		for( pi = 0;  pi <= puntos.length-1;  ++pi )
        		// para los puntos de interes
        		batch.push(createMarker(pi));

        	mgr.addMarkers(batch,2);
			mgr.refresh();
		}
	}

    //]]>
    </script>
    <noscript>
    	<p>Para ver esta página necesita un navegador con soporte para Javascript y AJAX. Disculpe las molestias.</p>
    </noscript>
    <div id="menu">
    	<fieldset>
			<legend>
				<img src="imagenes/opciones.png" alt="Opciones" />
			</legend>
			<form  id="frm" method="get" action="index.php">
				<p id="bajo">
    				<a href="javascript:cambiarMM();"><img src="imagenes/markerM.png" alt="Marcadores muy importantes" title="Mostrar/ Ocultar marcadores muy importantes" /></a>
			    	<a href="javascript:cambiarMI();"><img src="imagenes/markerI.png" alt="Marcadores importantes" title="Mostrar/ Ocultar marcadores importantes" /></a>
    				<a href="javascript:cambiarMN();"><img src="imagenes/markerN.png" alt="Marcadores  de importancia normal" title="Mostrar/ Ocultar marcadores de importancia normal" /></a>
    				<a href="javascript:cambiarM();"><img src="imagenes/todos.png" alt="Todos los marcadores" title="Mostrar/ Ocultar todos los marcadores" /></a>
    				<a href="javascript:cambiarR1();"><img src="imagenes/ruta1.png" alt="Ruta 1" title="Mostrar/ Ocultar ruta 1" /></a>
    				<a href="javascript:cambiarR2();"><img src="imagenes/ruta2.png" alt="Ruta 2" title="Mostrar/ Ocultar ruta 2" /></a>
					<label for="lugar">Lugar</label>
					<select  id="lugar" name="lugar" onchange="javascript:document.forms['frm'].submit();">
						<option value="0" <?php if($l==0) echo "selected=\"selected\"" ?>>Barcelona</option>
						<option value="1" <?php if($l==1) echo "selected=\"selected\"" ?>>Madrid</option>
						<option value="2" <?php if($l==2) echo "selected=\"selected\"" ?>>Valencia</option>
					</select>
    				<a href="http://validator.w3.org/check?uri=referer" rel="external" onclick="window.open(this.href); return false;" onkeypress="window.open(this.href); return false;"><img src="imagenes/xhtml.png" alt="Valid XHTML 1.0 Strict" height="31" width="88" title="XHTML 1.0 Estricto Válido" /></a>
    				<a href="http://jigsaw.w3.org/css-validator/check/referer" rel="external" onclick="window.open(this.href); return false;" onkeypress="window.open(this.href); return false;"><img src="imagenes/css.png"  alt="Valid CSS!" title="CSS 2.1 Válido" /></a>
    				<a href="ayuda.php"><img src="imagenes/ayuda.png"  alt="Ayuda" title="Ayuda" /></a>
    				<a href="informacion.php"><img src="imagenes/informacion.png"  alt="Información" title="Información" /></a>
				</p>
			</form>
		</fieldset>
    </div>
    <div id="mapa"></div>
    <div id="ruta"><span id="recorrido">Recorrido</span></div>
  </body>
</html>
